document.addEventListener("DOMContentLoaded", function () {
  $('#dmn-file-upload').on('change', loadDmnFromFile);
  $('#dmn-file-empty').on('click', loadEmptyFile);
});

function loadDmnFromFile(evt) {
  let files = evt.target.files;
  let dmnFile = files[0];
  let fileReader = new FileReader();
  fileReader.onload = function (fileLoadedEvent) {
    let textFromFileLoaded = fileLoadedEvent.target.result;
    openDiagram(textFromFileLoaded);
  };
  fileReader.readAsText(dmnFile, "UTF-8");
}

function loadEmptyFile() {
  $.ajax({
    url: 'dmn/emptyDMN.dmn',
    type: 'GET',
    contentType: 'text/xml',
    success: function (data) {
      openDiagram(data);
    }
  });
}


